Release Date

19th October 2021.


Overview

An authenticated Ava Aware user could use the API to send webhooks via cameras which the user did not have the relevant permissions for.


Affected Products

  • Ava Aware:
    • All Stable upgrade channel versions before 4.1.5. All Beta upgrade channel versions before 4.2.0.

Unaffected Products

  • Ava Aware:
    • All Stable upgrade channel versions after and including 4.1.5. All Beta upgrade channel versions after and including 4.2.0.
  • Ava Cameras: all versions. Ava Cloud: all versions.


Resolution

This issue has been fixed in Ava Aware Beta upgrade channel version 4.2.0 and Stable upgrade channel version 4.1.5.

It is strongly recommended that all installations running an affected version are upgraded to the latest release as soon as possible. Releases are available to download through the Ava Aware User Interface.


Vulnerability Information


Mitigations

There are no known mitigations for this issue.


Work arounds

The work around to this issue is to disable "Add/Edit time templates and webhooks" for Global roles that are used by any user that doesn't have "Add/Edit rules" for all cameras.


Acknowledgements

Issue found internally by Ava Security.


Disclosure Timeline

  • 02/09/2021 Issue found internally by Ava Security
  • 02/09/2021 Root cause established
  • 02/09/2021 Fix identified
  • 02/09/2021 Patched Ava Aware (Beta upgrade channel) released
  • 02/09/2021 Preliminary vulnerability advisory published
  • 13/09/2021 Patched Ava Aware (Stable upgrade channel) released
  • 19/10/2021 Vulnerability publicly disclosed